:root {
  --azul: #499af8;
  --morado: #601de9;
  --rosado: #ba0bd6;
  --negro-background: #2e2b2bfe;
  --blanco: #f5f5f5;
}

/* @keyframes preLoader{
  0%{
    transform: scale(0);
    opacity: 1;
  }
  100%{
    transform: scale(1);
    opacity: 0;
  }
}

.preLoader::after,
.preLoader::before{
  animation: preLoader 1.3s linear infinite;
  content: '';
  border: 9px solid var(--morado);
  width: 120px;
  height: 120px;
  position: absolute;
  border-radius: 50%;
}
.preLoader::after{
  opacity: 0;
  animation-delay: 1s;
  border-color: var(--rosado);
} */
.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-roller div {
  animation: lds-roller 1s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: var(--rosado);
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}


.preLoader{
  background: var(--negro-background);
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  clip-path: circle(150% at 100% 0);
  transition: clip-path 1s ease-in-out;

}
.preLoader2{
  clip-path: circle(0% at 100% 0);

}
.card-category {
  display: grid;
  grid-template-columns: repeat(8 1fr);
  justify-content: space-between;
  height: 100%;
  max-width: 100vw;
  position: relative;
  gap: 7px;
  padding: 20px;
}

.category1 {
  grid-column: 1/2;
}
.category2 {
  grid-column: 3/4;
}

.category3 {
  grid-column: 5/6;
}
.category4 {
  grid-column: 7/8;
}

.card-image img {
  width: 420px;
  height: 420px;
  object-fit: cover;
}

.cardInf {
  position: absolute;
  bottom: 20px;
  width: 420px;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.419);
  padding: 10px;
  margin: 0;
}

.cardInf h3{
  font-size: 30px;
  font-weight: bold;
  padding: 0;
  margin: 0;
}

.cardInf p{
  font-size: 20px;
  padding: 0;
  margin: 0;
}

.cardInf a {
  color: #2c057bfe;
  text-shadow: rgb(255, 255, 255) 0px 0px 5px, rgb(255, 255, 255) 0px 0px 10px,
    rgb(255, 255, 255) 0px 0px 15px, rgb(255, 45, 149) 0px 0px 20px,
    rgb(255, 45, 149) 0px 0px 30px, rgb(255, 45, 149) 0px 0px 40px,
    rgb(255, 45, 149) 0px 0px 50px, rgb(255, 45, 149) 0px 0px 75px;
  --darkreader-inline-color: #e8e6e3;
  --darkreader-inline-bgcolor: #262a2b;
  border: none;
  font-size: 25px;
  font-weight: bold;
  text-decoration: none;
}


.cardInf a:hover{
  color: var(--morado);
  font-size: 27px;
}


.banner-video {
  width: 100%;
  height: 600px;
  position: relative;
}

.banner-video iframe {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

@media (max-width: 1370px) {
  .card-image img {
    max-width: 295px;
    max-height: 295px;
  }

  .cardInf {
    bottom: 19px;
    width: 295px; 
  }

  .cardInf h3{
    font-size: 23px;
  }
  
  .cardInf p{
    font-size: 15px;
  }

  .cardInf a {
    font-size: 15px;
  }

  .cardInf a:hover{
    font-size: 17px;
  }

  .banner-video {
    height: 350px;
  }
  
  
}

@media (max-width: 768px) {
  .card-image img {
    max-width: 170px;
    max-height: 250px;
  }
  .cardInf {
    bottom: 19px;
    width: 170px; 
  }

  .cardInf h3{
    font-size: 13px;
  }
  
  .cardInf p{
    font-size: 10px;
  }

  .cardInf a {
    font-size: 11px;
  }

  .cardInf a:hover{
    font-size: 12px;
  }

  .banner-video {
    height: 300px;
  }
  
}

@media (max-width: 600px) {
  .card-category {
    grid-template-rows: repeat(2 1fr);
    grid-template-columns: repeat(2 1fr);
    
  }

  .category1 {
    grid-row: 1;
    grid-column: 1;
    height: 280px;
  }
  .category2 {
    grid-row: 1;
    grid-column: 2;
    height: 280px;
  }

  .category3 {
    grid-row: 2;
    grid-column: 1;
    height: 270px;
  }
  .category4 {
    grid-row: 2;
    grid-column: 2;
    height: 270px;
  }

  .card-image img {
    max-width: 270px;
    max-height: 270px;
  }

  .cardInf {
    position:relative;
    bottom: 79px;
    width: 270px; 
    height: 29%;
  }

  .cardInf h3{
    font-size: 15px;
  }
  
  .cardInf p{
    font-size: 12px;
  }

  .cardInf a {
    font-size: 12px;
  }

  .cardInf a:hover{
    font-size: 13px;
  }
  .banner-video {
    height: 250px;
  }
  
}



@media (max-width: 414px) {
  .card-image img {
    max-width: 180px;
    max-height: 180px;
  }

  .category1 {
    height: 190px;
  }
  .category2 {
    height: 190px;
  }

  .category3 {
    height: 180px;
  }
  .category4 {
    height: 180px;
  }

  .cardInf {
    position:relative;
    bottom: 60px;
    width: 180px; 
    padding: 5px;
    height: 32%;
  }

  .cardInf h3{
    font-size: 11px;
  }
  
  .cardInf p{
    font-size: 9px;
    
  }

  .cardInf a {
    font-size: 10px;
  }

  .cardInf a:hover{
    font-size: 11px;
  }

  
  .banner-video {
    height: 200px;
  }
}

@media (max-width: 320px) {

  .card-category {
    padding: 10px;
  }
  .card-image img {
    max-width: 140px;
    max-height: 120px;
  }

  .category1 {
    height: 120px;
  }
  .category2 {
    height: 120px;
  }

  .category3 {
    height: 120px;
  }
  .category4 {
    height: 120px;
  }

  .cardInf {
    position:relative;
    bottom: 53px;
    width: 140px; 
    padding: 5px;
    height: 44%;
  }

  .cardInf h3{
    font-size: 9px;
  }
  
  .cardInf p{
    font-size: 7px;
    
  }

  .cardInf a {
    font-size: 9px;
  }

  .cardInf a:hover{
    font-size: 10px;
  }
  .banner-video {
    height: 150px;
  }
}

